GitProvidersAdmin only
Update Provider
Authorization
write AuthorizationBearer <token>
Personal access token whose scope satisfies write.
In: header
Request Body
application/json
TypeScript Definitions
Use the request body type in TypeScript.
Response Body
application/json
application/json
curl -X PUT "https://example.com/api/git/providers" \ -H "Content-Type: application/json" \ -d '{}'{ "app_id": "string", "app_slug": "string", "base_url": "string", "client_id": "string", "has_secret": true, "id": "string", "is_owner": true, "is_public": true, "provider": "string"}